IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network0.0.0.0/1
Usable hosts2,147,483,646
Subnet mask128.0.0.0
Addresses2,147,483,648
- Network address
0.0.0.0- Broadcast address
127.255.255.255- First usable
0.0.0.1- Last usable
127.255.255.254- Usable hosts
- 2,147,483,646 (2,147,483,648 less the network and broadcast addresses)
- Subnet mask
128.0.0.0- Wildcard mask
127.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /1
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
00000000· Integer0to2147483647 - Reverse DNS zones
0.in-addr.arpa1.in-addr.arpa2.in-addr.arpa3.in-addr.arpa4.in-addr.arpa5.in-addr.arpa6.in-addr.arpa7.in-addr.arpa8.in-addr.arpa9.in-addr.arpa10.in-addr.arpa11.in-addr.arpa12.in-addr.arpa13.in-addr.arpa14.in-addr.arpa15.in-addr.arpa
and 112 more
/1 is not on a 8-bit boundary, so it takes 128 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000000.00000000.00000000.00000000 | 0.0.0.0 |
| Subnet mask | 10000000.00000000.00000000.00000000 | 128.0.0.0 |
| Network | 00000000.00000000.00000000.00000000 | 0.0.0.0 |
| Broadcast | 01111111.11111111.11111111.11111111 | 127.255.255.255 |
Split into smaller subnets
0.0.0.0/1 makes 4,096 subnets of /13; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 0.0.0.0/13 | 0.0.0.1 to 0.7.255.254 | 0.7.255.255 | 524,286 |
| 2 | 0.8.0.0/13 | 0.8.0.1 to 0.15.255.254 | 0.15.255.255 | 524,286 |
| 3 | 0.16.0.0/13 | 0.16.0.1 to 0.23.255.254 | 0.23.255.255 | 524,286 |
| 4 | 0.24.0.0/13 | 0.24.0.1 to 0.31.255.254 | 0.31.255.255 | 524,286 |
| 5 | 0.32.0.0/13 | 0.32.0.1 to 0.39.255.254 | 0.39.255.255 | 524,286 |
| 6 | 0.40.0.0/13 | 0.40.0.1 to 0.47.255.254 | 0.47.255.255 | 524,286 |
| 7 | 0.48.0.0/13 | 0.48.0.1 to 0.55.255.254 | 0.55.255.255 | 524,286 |
| 8 | 0.56.0.0/13 | 0.56.0.1 to 0.63.255.254 | 0.63.255.255 | 524,286 |
| 9 | 0.64.0.0/13 | 0.64.0.1 to 0.71.255.254 | 0.71.255.255 | 524,286 |
| 10 | 0.72.0.0/13 | 0.72.0.1 to 0.79.255.254 | 0.79.255.255 | 524,286 |
| 11 | 0.80.0.0/13 | 0.80.0.1 to 0.87.255.254 | 0.87.255.255 | 524,286 |
| 12 | 0.88.0.0/13 | 0.88.0.1 to 0.95.255.254 | 0.95.255.255 | 524,286 |
| 13 | 0.96.0.0/13 | 0.96.0.1 to 0.103.255.254 | 0.103.255.255 | 524,286 |
| 14 | 0.104.0.0/13 | 0.104.0.1 to 0.111.255.254 | 0.111.255.255 | 524,286 |
| 15 | 0.112.0.0/13 | 0.112.0.1 to 0.119.255.254 | 0.119.255.255 | 524,286 |
| 16 | 0.120.0.0/13 | 0.120.0.1 to 0.127.255.254 | 0.127.255.255 | 524,286 |
| 17 | 0.128.0.0/13 | 0.128.0.1 to 0.135.255.254 | 0.135.255.255 | 524,286 |
| 18 | 0.136.0.0/13 | 0.136.0.1 to 0.143.255.254 | 0.143.255.255 | 524,286 |
| 19 | 0.144.0.0/13 | 0.144.0.1 to 0.151.255.254 | 0.151.255.255 | 524,286 |
| 20 | 0.152.0.0/13 | 0.152.0.1 to 0.159.255.254 | 0.159.255.255 | 524,286 |
| 21 | 0.160.0.0/13 | 0.160.0.1 to 0.167.255.254 | 0.167.255.255 | 524,286 |
| 22 | 0.168.0.0/13 | 0.168.0.1 to 0.175.255.254 | 0.175.255.255 | 524,286 |
| 23 | 0.176.0.0/13 | 0.176.0.1 to 0.183.255.254 | 0.183.255.255 | 524,286 |
| 24 | 0.184.0.0/13 | 0.184.0.1 to 0.191.255.254 | 0.191.255.255 | 524,286 |
| 25 | 0.192.0.0/13 | 0.192.0.1 to 0.199.255.254 | 0.199.255.255 | 524,286 |
| 26 | 0.200.0.0/13 | 0.200.0.1 to 0.207.255.254 | 0.207.255.255 | 524,286 |
| 27 | 0.208.0.0/13 | 0.208.0.1 to 0.215.255.254 | 0.215.255.255 | 524,286 |
| 28 | 0.216.0.0/13 | 0.216.0.1 to 0.223.255.254 | 0.223.255.255 | 524,286 |
| 29 | 0.224.0.0/13 | 0.224.0.1 to 0.231.255.254 | 0.231.255.255 | 524,286 |
| 30 | 0.232.0.0/13 | 0.232.0.1 to 0.239.255.254 | 0.239.255.255 | 524,286 |
| 31 | 0.240.0.0/13 | 0.240.0.1 to 0.247.255.254 | 0.247.255.255 | 524,286 |
| 32 | 0.248.0.0/13 | 0.248.0.1 to 0.255.255.254 | 0.255.255.255 | 524,286 |
| 33 | 1.0.0.0/13 | 1.0.0.1 to 1.7.255.254 | 1.7.255.255 | 524,286 |
| 34 | 1.8.0.0/13 | 1.8.0.1 to 1.15.255.254 | 1.15.255.255 | 524,286 |
| 35 | 1.16.0.0/13 | 1.16.0.1 to 1.23.255.254 | 1.23.255.255 | 524,286 |
| 36 | 1.24.0.0/13 | 1.24.0.1 to 1.31.255.254 | 1.31.255.255 | 524,286 |
| 37 | 1.32.0.0/13 | 1.32.0.1 to 1.39.255.254 | 1.39.255.255 | 524,286 |
| 38 | 1.40.0.0/13 | 1.40.0.1 to 1.47.255.254 | 1.47.255.255 | 524,286 |
| 39 | 1.48.0.0/13 | 1.48.0.1 to 1.55.255.254 | 1.55.255.255 | 524,286 |
| 40 | 1.56.0.0/13 | 1.56.0.1 to 1.63.255.254 | 1.63.255.255 | 524,286 |
| 41 | 1.64.0.0/13 | 1.64.0.1 to 1.71.255.254 | 1.71.255.255 | 524,286 |
| 42 | 1.72.0.0/13 | 1.72.0.1 to 1.79.255.254 | 1.79.255.255 | 524,286 |
| 43 | 1.80.0.0/13 | 1.80.0.1 to 1.87.255.254 | 1.87.255.255 | 524,286 |
| 44 | 1.88.0.0/13 | 1.88.0.1 to 1.95.255.254 | 1.95.255.255 | 524,286 |
| 45 | 1.96.0.0/13 | 1.96.0.1 to 1.103.255.254 | 1.103.255.255 | 524,286 |
| 46 | 1.104.0.0/13 | 1.104.0.1 to 1.111.255.254 | 1.111.255.255 | 524,286 |
| 47 | 1.112.0.0/13 | 1.112.0.1 to 1.119.255.254 | 1.119.255.255 | 524,286 |
| 48 | 1.120.0.0/13 | 1.120.0.1 to 1.127.255.254 | 1.127.255.255 | 524,286 |
| 49 | 1.128.0.0/13 | 1.128.0.1 to 1.135.255.254 | 1.135.255.255 | 524,286 |
| 50 | 1.136.0.0/13 | 1.136.0.1 to 1.143.255.254 | 1.143.255.255 | 524,286 |
| 51 | 1.144.0.0/13 | 1.144.0.1 to 1.151.255.254 | 1.151.255.255 | 524,286 |
| 52 | 1.152.0.0/13 | 1.152.0.1 to 1.159.255.254 | 1.159.255.255 | 524,286 |
| 53 | 1.160.0.0/13 | 1.160.0.1 to 1.167.255.254 | 1.167.255.255 | 524,286 |
| 54 | 1.168.0.0/13 | 1.168.0.1 to 1.175.255.254 | 1.175.255.255 | 524,286 |
| 55 | 1.176.0.0/13 | 1.176.0.1 to 1.183.255.254 | 1.183.255.255 | 524,286 |
| 56 | 1.184.0.0/13 | 1.184.0.1 to 1.191.255.254 | 1.191.255.255 | 524,286 |
| 57 | 1.192.0.0/13 | 1.192.0.1 to 1.199.255.254 | 1.199.255.255 | 524,286 |
| 58 | 1.200.0.0/13 | 1.200.0.1 to 1.207.255.254 | 1.207.255.255 | 524,286 |
| 59 | 1.208.0.0/13 | 1.208.0.1 to 1.215.255.254 | 1.215.255.255 | 524,286 |
| 60 | 1.216.0.0/13 | 1.216.0.1 to 1.223.255.254 | 1.223.255.255 | 524,286 |
| 61 | 1.224.0.0/13 | 1.224.0.1 to 1.231.255.254 | 1.231.255.255 | 524,286 |
| 62 | 1.232.0.0/13 | 1.232.0.1 to 1.239.255.254 | 1.239.255.255 | 524,286 |
| 63 | 1.240.0.0/13 | 1.240.0.1 to 1.247.255.254 | 1.247.255.255 | 524,286 |
| 64 | 1.248.0.0/13 | 1.248.0.1 to 1.255.255.254 | 1.255.255.255 | 524,286 |
| 65 | 2.0.0.0/13 | 2.0.0.1 to 2.7.255.254 | 2.7.255.255 | 524,286 |
| 66 | 2.8.0.0/13 | 2.8.0.1 to 2.15.255.254 | 2.15.255.255 | 524,286 |
| 67 | 2.16.0.0/13 | 2.16.0.1 to 2.23.255.254 | 2.23.255.255 | 524,286 |
| 68 | 2.24.0.0/13 | 2.24.0.1 to 2.31.255.254 | 2.31.255.255 | 524,286 |
| 69 | 2.32.0.0/13 | 2.32.0.1 to 2.39.255.254 | 2.39.255.255 | 524,286 |
| 70 | 2.40.0.0/13 | 2.40.0.1 to 2.47.255.254 | 2.47.255.255 | 524,286 |
| 71 | 2.48.0.0/13 | 2.48.0.1 to 2.55.255.254 | 2.55.255.255 | 524,286 |
| 72 | 2.56.0.0/13 | 2.56.0.1 to 2.63.255.254 | 2.63.255.255 | 524,286 |
| 73 | 2.64.0.0/13 | 2.64.0.1 to 2.71.255.254 | 2.71.255.255 | 524,286 |
| 74 | 2.72.0.0/13 | 2.72.0.1 to 2.79.255.254 | 2.79.255.255 | 524,286 |
| 75 | 2.80.0.0/13 | 2.80.0.1 to 2.87.255.254 | 2.87.255.255 | 524,286 |
| 76 | 2.88.0.0/13 | 2.88.0.1 to 2.95.255.254 | 2.95.255.255 | 524,286 |
| 77 | 2.96.0.0/13 | 2.96.0.1 to 2.103.255.254 | 2.103.255.255 | 524,286 |
| 78 | 2.104.0.0/13 | 2.104.0.1 to 2.111.255.254 | 2.111.255.255 | 524,286 |
| 79 | 2.112.0.0/13 | 2.112.0.1 to 2.119.255.254 | 2.119.255.255 | 524,286 |
| 80 | 2.120.0.0/13 | 2.120.0.1 to 2.127.255.254 | 2.127.255.255 | 524,286 |
| 81 | 2.128.0.0/13 | 2.128.0.1 to 2.135.255.254 | 2.135.255.255 | 524,286 |
| 82 | 2.136.0.0/13 | 2.136.0.1 to 2.143.255.254 | 2.143.255.255 | 524,286 |
| 83 | 2.144.0.0/13 | 2.144.0.1 to 2.151.255.254 | 2.151.255.255 | 524,286 |
| 84 | 2.152.0.0/13 | 2.152.0.1 to 2.159.255.254 | 2.159.255.255 | 524,286 |
| 85 | 2.160.0.0/13 | 2.160.0.1 to 2.167.255.254 | 2.167.255.255 | 524,286 |
| 86 | 2.168.0.0/13 | 2.168.0.1 to 2.175.255.254 | 2.175.255.255 | 524,286 |
| 87 | 2.176.0.0/13 | 2.176.0.1 to 2.183.255.254 | 2.183.255.255 | 524,286 |
| 88 | 2.184.0.0/13 | 2.184.0.1 to 2.191.255.254 | 2.191.255.255 | 524,286 |
| 89 | 2.192.0.0/13 | 2.192.0.1 to 2.199.255.254 | 2.199.255.255 | 524,286 |
| 90 | 2.200.0.0/13 | 2.200.0.1 to 2.207.255.254 | 2.207.255.255 | 524,286 |
| 91 | 2.208.0.0/13 | 2.208.0.1 to 2.215.255.254 | 2.215.255.255 | 524,286 |
| 92 | 2.216.0.0/13 | 2.216.0.1 to 2.223.255.254 | 2.223.255.255 | 524,286 |
| 93 | 2.224.0.0/13 | 2.224.0.1 to 2.231.255.254 | 2.231.255.255 | 524,286 |
| 94 | 2.232.0.0/13 | 2.232.0.1 to 2.239.255.254 | 2.239.255.255 | 524,286 |
| 95 | 2.240.0.0/13 | 2.240.0.1 to 2.247.255.254 | 2.247.255.255 | 524,286 |
| 96 | 2.248.0.0/13 | 2.248.0.1 to 2.255.255.254 | 2.255.255.255 | 524,286 |
| 97 | 3.0.0.0/13 | 3.0.0.1 to 3.7.255.254 | 3.7.255.255 | 524,286 |
| 98 | 3.8.0.0/13 | 3.8.0.1 to 3.15.255.254 | 3.15.255.255 | 524,286 |
| 99 | 3.16.0.0/13 | 3.16.0.1 to 3.23.255.254 | 3.23.255.255 | 524,286 |
| 100 | 3.24.0.0/13 | 3.24.0.1 to 3.31.255.254 | 3.31.255.255 | 524,286 |
| 101 | 3.32.0.0/13 | 3.32.0.1 to 3.39.255.254 | 3.39.255.255 | 524,286 |
| 102 | 3.40.0.0/13 | 3.40.0.1 to 3.47.255.254 | 3.47.255.255 | 524,286 |
| 103 | 3.48.0.0/13 | 3.48.0.1 to 3.55.255.254 | 3.55.255.255 | 524,286 |
| 104 | 3.56.0.0/13 | 3.56.0.1 to 3.63.255.254 | 3.63.255.255 | 524,286 |
| 105 | 3.64.0.0/13 | 3.64.0.1 to 3.71.255.254 | 3.71.255.255 | 524,286 |
| 106 | 3.72.0.0/13 | 3.72.0.1 to 3.79.255.254 | 3.79.255.255 | 524,286 |
| 107 | 3.80.0.0/13 | 3.80.0.1 to 3.87.255.254 | 3.87.255.255 | 524,286 |
| 108 | 3.88.0.0/13 | 3.88.0.1 to 3.95.255.254 | 3.95.255.255 | 524,286 |
| 109 | 3.96.0.0/13 | 3.96.0.1 to 3.103.255.254 | 3.103.255.255 | 524,286 |
| 110 | 3.104.0.0/13 | 3.104.0.1 to 3.111.255.254 | 3.111.255.255 | 524,286 |
| 111 | 3.112.0.0/13 | 3.112.0.1 to 3.119.255.254 | 3.119.255.255 | 524,286 |
| 112 | 3.120.0.0/13 | 3.120.0.1 to 3.127.255.254 | 3.127.255.255 | 524,286 |
| 113 | 3.128.0.0/13 | 3.128.0.1 to 3.135.255.254 | 3.135.255.255 | 524,286 |
| 114 | 3.136.0.0/13 | 3.136.0.1 to 3.143.255.254 | 3.143.255.255 | 524,286 |
| 115 | 3.144.0.0/13 | 3.144.0.1 to 3.151.255.254 | 3.151.255.255 | 524,286 |
| 116 | 3.152.0.0/13 | 3.152.0.1 to 3.159.255.254 | 3.159.255.255 | 524,286 |
| 117 | 3.160.0.0/13 | 3.160.0.1 to 3.167.255.254 | 3.167.255.255 | 524,286 |
| 118 | 3.168.0.0/13 | 3.168.0.1 to 3.175.255.254 | 3.175.255.255 | 524,286 |
| 119 | 3.176.0.0/13 | 3.176.0.1 to 3.183.255.254 | 3.183.255.255 | 524,286 |
| 120 | 3.184.0.0/13 | 3.184.0.1 to 3.191.255.254 | 3.191.255.255 | 524,286 |
| 121 | 3.192.0.0/13 | 3.192.0.1 to 3.199.255.254 | 3.199.255.255 | 524,286 |
| 122 | 3.200.0.0/13 | 3.200.0.1 to 3.207.255.254 | 3.207.255.255 | 524,286 |
| 123 | 3.208.0.0/13 | 3.208.0.1 to 3.215.255.254 | 3.215.255.255 | 524,286 |
| 124 | 3.216.0.0/13 | 3.216.0.1 to 3.223.255.254 | 3.223.255.255 | 524,286 |
| 125 | 3.224.0.0/13 | 3.224.0.1 to 3.231.255.254 | 3.231.255.255 | 524,286 |
| 126 | 3.232.0.0/13 | 3.232.0.1 to 3.239.255.254 | 3.239.255.255 | 524,286 |
| 127 | 3.240.0.0/13 | 3.240.0.1 to 3.247.255.254 | 3.247.255.255 | 524,286 |
| 128 | 3.248.0.0/13 | 3.248.0.1 to 3.255.255.254 | 3.255.255.255 | 524,286 |
| 129 | 4.0.0.0/13 | 4.0.0.1 to 4.7.255.254 | 4.7.255.255 | 524,286 |
| 130 | 4.8.0.0/13 | 4.8.0.1 to 4.15.255.254 | 4.15.255.255 | 524,286 |
| 131 | 4.16.0.0/13 | 4.16.0.1 to 4.23.255.254 | 4.23.255.255 | 524,286 |
| 132 | 4.24.0.0/13 | 4.24.0.1 to 4.31.255.254 | 4.31.255.255 | 524,286 |
| 133 | 4.32.0.0/13 | 4.32.0.1 to 4.39.255.254 | 4.39.255.255 | 524,286 |
| 134 | 4.40.0.0/13 | 4.40.0.1 to 4.47.255.254 | 4.47.255.255 | 524,286 |
| 135 | 4.48.0.0/13 | 4.48.0.1 to 4.55.255.254 | 4.55.255.255 | 524,286 |
| 136 | 4.56.0.0/13 | 4.56.0.1 to 4.63.255.254 | 4.63.255.255 | 524,286 |
| 137 | 4.64.0.0/13 | 4.64.0.1 to 4.71.255.254 | 4.71.255.255 | 524,286 |
| 138 | 4.72.0.0/13 | 4.72.0.1 to 4.79.255.254 | 4.79.255.255 | 524,286 |
| 139 | 4.80.0.0/13 | 4.80.0.1 to 4.87.255.254 | 4.87.255.255 | 524,286 |
| 140 | 4.88.0.0/13 | 4.88.0.1 to 4.95.255.254 | 4.95.255.255 | 524,286 |
| 141 | 4.96.0.0/13 | 4.96.0.1 to 4.103.255.254 | 4.103.255.255 | 524,286 |
| 142 | 4.104.0.0/13 | 4.104.0.1 to 4.111.255.254 | 4.111.255.255 | 524,286 |
| 143 | 4.112.0.0/13 | 4.112.0.1 to 4.119.255.254 | 4.119.255.255 | 524,286 |
| 144 | 4.120.0.0/13 | 4.120.0.1 to 4.127.255.254 | 4.127.255.255 | 524,286 |
| 145 | 4.128.0.0/13 | 4.128.0.1 to 4.135.255.254 | 4.135.255.255 | 524,286 |
| 146 | 4.136.0.0/13 | 4.136.0.1 to 4.143.255.254 | 4.143.255.255 | 524,286 |
| 147 | 4.144.0.0/13 | 4.144.0.1 to 4.151.255.254 | 4.151.255.255 | 524,286 |
| 148 | 4.152.0.0/13 | 4.152.0.1 to 4.159.255.254 | 4.159.255.255 | 524,286 |
| 149 | 4.160.0.0/13 | 4.160.0.1 to 4.167.255.254 | 4.167.255.255 | 524,286 |
| 150 | 4.168.0.0/13 | 4.168.0.1 to 4.175.255.254 | 4.175.255.255 | 524,286 |
| 151 | 4.176.0.0/13 | 4.176.0.1 to 4.183.255.254 | 4.183.255.255 | 524,286 |
| 152 | 4.184.0.0/13 | 4.184.0.1 to 4.191.255.254 | 4.191.255.255 | 524,286 |
| 153 | 4.192.0.0/13 | 4.192.0.1 to 4.199.255.254 | 4.199.255.255 | 524,286 |
| 154 | 4.200.0.0/13 | 4.200.0.1 to 4.207.255.254 | 4.207.255.255 | 524,286 |
| 155 | 4.208.0.0/13 | 4.208.0.1 to 4.215.255.254 | 4.215.255.255 | 524,286 |
| 156 | 4.216.0.0/13 | 4.216.0.1 to 4.223.255.254 | 4.223.255.255 | 524,286 |
| 157 | 4.224.0.0/13 | 4.224.0.1 to 4.231.255.254 | 4.231.255.255 | 524,286 |
| 158 | 4.232.0.0/13 | 4.232.0.1 to 4.239.255.254 | 4.239.255.255 | 524,286 |
| 159 | 4.240.0.0/13 | 4.240.0.1 to 4.247.255.254 | 4.247.255.255 | 524,286 |
| 160 | 4.248.0.0/13 | 4.248.0.1 to 4.255.255.254 | 4.255.255.255 | 524,286 |
| 161 | 5.0.0.0/13 | 5.0.0.1 to 5.7.255.254 | 5.7.255.255 | 524,286 |
| 162 | 5.8.0.0/13 | 5.8.0.1 to 5.15.255.254 | 5.15.255.255 | 524,286 |
| 163 | 5.16.0.0/13 | 5.16.0.1 to 5.23.255.254 | 5.23.255.255 | 524,286 |
| 164 | 5.24.0.0/13 | 5.24.0.1 to 5.31.255.254 | 5.31.255.255 | 524,286 |
| 165 | 5.32.0.0/13 | 5.32.0.1 to 5.39.255.254 | 5.39.255.255 | 524,286 |
| 166 | 5.40.0.0/13 | 5.40.0.1 to 5.47.255.254 | 5.47.255.255 | 524,286 |
| 167 | 5.48.0.0/13 | 5.48.0.1 to 5.55.255.254 | 5.55.255.255 | 524,286 |
| 168 | 5.56.0.0/13 | 5.56.0.1 to 5.63.255.254 | 5.63.255.255 | 524,286 |
| 169 | 5.64.0.0/13 | 5.64.0.1 to 5.71.255.254 | 5.71.255.255 | 524,286 |
| 170 | 5.72.0.0/13 | 5.72.0.1 to 5.79.255.254 | 5.79.255.255 | 524,286 |
| 171 | 5.80.0.0/13 | 5.80.0.1 to 5.87.255.254 | 5.87.255.255 | 524,286 |
| 172 | 5.88.0.0/13 | 5.88.0.1 to 5.95.255.254 | 5.95.255.255 | 524,286 |
| 173 | 5.96.0.0/13 | 5.96.0.1 to 5.103.255.254 | 5.103.255.255 | 524,286 |
| 174 | 5.104.0.0/13 | 5.104.0.1 to 5.111.255.254 | 5.111.255.255 | 524,286 |
| 175 | 5.112.0.0/13 | 5.112.0.1 to 5.119.255.254 | 5.119.255.255 | 524,286 |
| 176 | 5.120.0.0/13 | 5.120.0.1 to 5.127.255.254 | 5.127.255.255 | 524,286 |
| 177 | 5.128.0.0/13 | 5.128.0.1 to 5.135.255.254 | 5.135.255.255 | 524,286 |
| 178 | 5.136.0.0/13 | 5.136.0.1 to 5.143.255.254 | 5.143.255.255 | 524,286 |
| 179 | 5.144.0.0/13 | 5.144.0.1 to 5.151.255.254 | 5.151.255.255 | 524,286 |
| 180 | 5.152.0.0/13 | 5.152.0.1 to 5.159.255.254 | 5.159.255.255 | 524,286 |
| 181 | 5.160.0.0/13 | 5.160.0.1 to 5.167.255.254 | 5.167.255.255 | 524,286 |
| 182 | 5.168.0.0/13 | 5.168.0.1 to 5.175.255.254 | 5.175.255.255 | 524,286 |
| 183 | 5.176.0.0/13 | 5.176.0.1 to 5.183.255.254 | 5.183.255.255 | 524,286 |
| 184 | 5.184.0.0/13 | 5.184.0.1 to 5.191.255.254 | 5.191.255.255 | 524,286 |
| 185 | 5.192.0.0/13 | 5.192.0.1 to 5.199.255.254 | 5.199.255.255 | 524,286 |
| 186 | 5.200.0.0/13 | 5.200.0.1 to 5.207.255.254 | 5.207.255.255 | 524,286 |
| 187 | 5.208.0.0/13 | 5.208.0.1 to 5.215.255.254 | 5.215.255.255 | 524,286 |
| 188 | 5.216.0.0/13 | 5.216.0.1 to 5.223.255.254 | 5.223.255.255 | 524,286 |
| 189 | 5.224.0.0/13 | 5.224.0.1 to 5.231.255.254 | 5.231.255.255 | 524,286 |
| 190 | 5.232.0.0/13 | 5.232.0.1 to 5.239.255.254 | 5.239.255.255 | 524,286 |
| 191 | 5.240.0.0/13 | 5.240.0.1 to 5.247.255.254 | 5.247.255.255 | 524,286 |
| 192 | 5.248.0.0/13 | 5.248.0.1 to 5.255.255.254 | 5.255.255.255 | 524,286 |
| 193 | 6.0.0.0/13 | 6.0.0.1 to 6.7.255.254 | 6.7.255.255 | 524,286 |
| 194 | 6.8.0.0/13 | 6.8.0.1 to 6.15.255.254 | 6.15.255.255 | 524,286 |
| 195 | 6.16.0.0/13 | 6.16.0.1 to 6.23.255.254 | 6.23.255.255 | 524,286 |
| 196 | 6.24.0.0/13 | 6.24.0.1 to 6.31.255.254 | 6.31.255.255 | 524,286 |
| 197 | 6.32.0.0/13 | 6.32.0.1 to 6.39.255.254 | 6.39.255.255 | 524,286 |
| 198 | 6.40.0.0/13 | 6.40.0.1 to 6.47.255.254 | 6.47.255.255 | 524,286 |
| 199 | 6.48.0.0/13 | 6.48.0.1 to 6.55.255.254 | 6.55.255.255 | 524,286 |
| 200 | 6.56.0.0/13 | 6.56.0.1 to 6.63.255.254 | 6.63.255.255 | 524,286 |
| 201 | 6.64.0.0/13 | 6.64.0.1 to 6.71.255.254 | 6.71.255.255 | 524,286 |
| 202 | 6.72.0.0/13 | 6.72.0.1 to 6.79.255.254 | 6.79.255.255 | 524,286 |
| 203 | 6.80.0.0/13 | 6.80.0.1 to 6.87.255.254 | 6.87.255.255 | 524,286 |
| 204 | 6.88.0.0/13 | 6.88.0.1 to 6.95.255.254 | 6.95.255.255 | 524,286 |
| 205 | 6.96.0.0/13 | 6.96.0.1 to 6.103.255.254 | 6.103.255.255 | 524,286 |
| 206 | 6.104.0.0/13 | 6.104.0.1 to 6.111.255.254 | 6.111.255.255 | 524,286 |
| 207 | 6.112.0.0/13 | 6.112.0.1 to 6.119.255.254 | 6.119.255.255 | 524,286 |
| 208 | 6.120.0.0/13 | 6.120.0.1 to 6.127.255.254 | 6.127.255.255 | 524,286 |
| 209 | 6.128.0.0/13 | 6.128.0.1 to 6.135.255.254 | 6.135.255.255 | 524,286 |
| 210 | 6.136.0.0/13 | 6.136.0.1 to 6.143.255.254 | 6.143.255.255 | 524,286 |
| 211 | 6.144.0.0/13 | 6.144.0.1 to 6.151.255.254 | 6.151.255.255 | 524,286 |
| 212 | 6.152.0.0/13 | 6.152.0.1 to 6.159.255.254 | 6.159.255.255 | 524,286 |
| 213 | 6.160.0.0/13 | 6.160.0.1 to 6.167.255.254 | 6.167.255.255 | 524,286 |
| 214 | 6.168.0.0/13 | 6.168.0.1 to 6.175.255.254 | 6.175.255.255 | 524,286 |
| 215 | 6.176.0.0/13 | 6.176.0.1 to 6.183.255.254 | 6.183.255.255 | 524,286 |
| 216 | 6.184.0.0/13 | 6.184.0.1 to 6.191.255.254 | 6.191.255.255 | 524,286 |
| 217 | 6.192.0.0/13 | 6.192.0.1 to 6.199.255.254 | 6.199.255.255 | 524,286 |
| 218 | 6.200.0.0/13 | 6.200.0.1 to 6.207.255.254 | 6.207.255.255 | 524,286 |
| 219 | 6.208.0.0/13 | 6.208.0.1 to 6.215.255.254 | 6.215.255.255 | 524,286 |
| 220 | 6.216.0.0/13 | 6.216.0.1 to 6.223.255.254 | 6.223.255.255 | 524,286 |
| 221 | 6.224.0.0/13 | 6.224.0.1 to 6.231.255.254 | 6.231.255.255 | 524,286 |
| 222 | 6.232.0.0/13 | 6.232.0.1 to 6.239.255.254 | 6.239.255.255 | 524,286 |
| 223 | 6.240.0.0/13 | 6.240.0.1 to 6.247.255.254 | 6.247.255.255 | 524,286 |
| 224 | 6.248.0.0/13 | 6.248.0.1 to 6.255.255.254 | 6.255.255.255 | 524,286 |
| 225 | 7.0.0.0/13 | 7.0.0.1 to 7.7.255.254 | 7.7.255.255 | 524,286 |
| 226 | 7.8.0.0/13 | 7.8.0.1 to 7.15.255.254 | 7.15.255.255 | 524,286 |
| 227 | 7.16.0.0/13 | 7.16.0.1 to 7.23.255.254 | 7.23.255.255 | 524,286 |
| 228 | 7.24.0.0/13 | 7.24.0.1 to 7.31.255.254 | 7.31.255.255 | 524,286 |
| 229 | 7.32.0.0/13 | 7.32.0.1 to 7.39.255.254 | 7.39.255.255 | 524,286 |
| 230 | 7.40.0.0/13 | 7.40.0.1 to 7.47.255.254 | 7.47.255.255 | 524,286 |
| 231 | 7.48.0.0/13 | 7.48.0.1 to 7.55.255.254 | 7.55.255.255 | 524,286 |
| 232 | 7.56.0.0/13 | 7.56.0.1 to 7.63.255.254 | 7.63.255.255 | 524,286 |
| 233 | 7.64.0.0/13 | 7.64.0.1 to 7.71.255.254 | 7.71.255.255 | 524,286 |
| 234 | 7.72.0.0/13 | 7.72.0.1 to 7.79.255.254 | 7.79.255.255 | 524,286 |
| 235 | 7.80.0.0/13 | 7.80.0.1 to 7.87.255.254 | 7.87.255.255 | 524,286 |
| 236 | 7.88.0.0/13 | 7.88.0.1 to 7.95.255.254 | 7.95.255.255 | 524,286 |
| 237 | 7.96.0.0/13 | 7.96.0.1 to 7.103.255.254 | 7.103.255.255 | 524,286 |
| 238 | 7.104.0.0/13 | 7.104.0.1 to 7.111.255.254 | 7.111.255.255 | 524,286 |
| 239 | 7.112.0.0/13 | 7.112.0.1 to 7.119.255.254 | 7.119.255.255 | 524,286 |
| 240 | 7.120.0.0/13 | 7.120.0.1 to 7.127.255.254 | 7.127.255.255 | 524,286 |
| 241 | 7.128.0.0/13 | 7.128.0.1 to 7.135.255.254 | 7.135.255.255 | 524,286 |
| 242 | 7.136.0.0/13 | 7.136.0.1 to 7.143.255.254 | 7.143.255.255 | 524,286 |
| 243 | 7.144.0.0/13 | 7.144.0.1 to 7.151.255.254 | 7.151.255.255 | 524,286 |
| 244 | 7.152.0.0/13 | 7.152.0.1 to 7.159.255.254 | 7.159.255.255 | 524,286 |
| 245 | 7.160.0.0/13 | 7.160.0.1 to 7.167.255.254 | 7.167.255.255 | 524,286 |
| 246 | 7.168.0.0/13 | 7.168.0.1 to 7.175.255.254 | 7.175.255.255 | 524,286 |
| 247 | 7.176.0.0/13 | 7.176.0.1 to 7.183.255.254 | 7.183.255.255 | 524,286 |
| 248 | 7.184.0.0/13 | 7.184.0.1 to 7.191.255.254 | 7.191.255.255 | 524,286 |
| 249 | 7.192.0.0/13 | 7.192.0.1 to 7.199.255.254 | 7.199.255.255 | 524,286 |
| 250 | 7.200.0.0/13 | 7.200.0.1 to 7.207.255.254 | 7.207.255.255 | 524,286 |
| 251 | 7.208.0.0/13 | 7.208.0.1 to 7.215.255.254 | 7.215.255.255 | 524,286 |
| 252 | 7.216.0.0/13 | 7.216.0.1 to 7.223.255.254 | 7.223.255.255 | 524,286 |
| 253 | 7.224.0.0/13 | 7.224.0.1 to 7.231.255.254 | 7.231.255.255 | 524,286 |
| 254 | 7.232.0.0/13 | 7.232.0.1 to 7.239.255.254 | 7.239.255.255 | 524,286 |
| 255 | 7.240.0.0/13 | 7.240.0.1 to 7.247.255.254 | 7.247.255.255 | 524,286 |
| 256 | 7.248.0.0/13 | 7.248.0.1 to 7.255.255.254 | 7.255.255.255 | 524,286 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |